Bug 881362 - Can't remove preupgrade
Can't remove preupgrade
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-28 14:11 EST by Mihkel Vain
Modified: 2013-04-20 15:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-20 15:49:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mihkel Vain 2012-11-28 14:11:31 EST
Hi.

Since preupgrade is considered deprecated for Fedora 18 upgrade, I thought I don't need it any more in my system. So I went ahead and tried to remove it. But this happened:

# yum erase preupgrade
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package preupgrade.noarch 0:1.1.10-2.fc17 will be erased
--> Processing Dependency: preupgrade for package: PackageKit-0.7.5-1.fc17.x86_64
--> Running transaction check
---> Package PackageKit.x86_64 0:0.7.5-1.fc17 will be erased
--> Processing Dependency: PackageKit = 0.7.5-1.fc17 for package: PackageKit-yum-0.7.5-1.fc17.x86_64
--> Processing Dependency: PackageKit for package: PackageKit-yum-plugin-0.7.5-1.fc17.x86_64
--> Processing Dependency: PackageKit >= 0.5.0 for package: gnome-packagekit-3.4.2-1.fc17.x86_64
--> Processing Dependency: PackageKit = 0.7.5-1.fc17 for package: PackageKit-glib-0.7.5-1.fc17.x86_64
--> Running transaction check
---> Package PackageKit-glib.x86_64 0:0.7.5-1.fc17 will be erased
--> Processing Dependency: libpackagekit-glib2.so.14()(64bit) for package: PackageKit-command-not-found-0.7.5-1.fc17.x86_64
--> Processing Dependency: libpackagekit-glib2.so.14()(64bit) for package: gnome-settings-daemon-3.4.2-3.fc17.x86_64
--> Processing Dependency: libpackagekit-glib2.so.14()(64bit) for package: PackageKit-gstreamer-plugin-0.7.5-1.fc17.x86_64
--> Processing Dependency: PackageKit-glib = 0.7.5-1.fc17 for package: PackageKit-device-rebind-0.7.5-1.fc17.x86_64
--> Processing Dependency: PackageKit-glib = 0.7.5-1.fc17 for package: PackageKit-command-not-found-0.7.5-1.fc17.x86_64
--> Processing Dependency: PackageKit-glib = 0.7.5-1.fc17 for package: PackageKit-gstreamer-plugin-0.7.5-1.fc17.x86_64
---> Package PackageKit-yum.x86_64 0:0.7.5-1.fc17 will be erased
---> Package PackageKit-yum-plugin.x86_64 0:0.7.5-1.fc17 will be erased
---> Package gnome-packagekit.x86_64 0:3.4.2-1.fc17 will be erased
--> Running transaction check
---> Package PackageKit-command-not-found.x86_64 0:0.7.5-1.fc17 will be erased
---> Package PackageKit-device-rebind.x86_64 0:0.7.5-1.fc17 will be erased
---> Package PackageKit-gstreamer-plugin.x86_64 0:0.7.5-1.fc17 will be erased
---> Package gnome-settings-daemon.x86_64 0:3.4.2-3.fc17 will be erased
--> Processing Dependency: gnome-settings-daemon >= 2.21.92 for package: 1:gdm-3.4.1-3.fc17.x86_64
--> Processing Dependency: gnome-settings-daemon >= 2.21.91-3 for package: 1:control-center-3.4.2-4.fc17.x86_64
--> Running transaction check
---> Package control-center.x86_64 1:3.4.2-4.fc17 will be erased
--> Processing Dependency: control-center for package: 1:gnome-bluetooth-3.4.2-1.fc17.x86_64
--> Processing Dependency: control-center for package: orca-3.4.2-1.fc17.x86_64
---> Package gdm.x86_64 1:3.4.1-3.fc17 will be erased
--> Processing Dependency: gdm for package: pulseaudio-gdm-hooks-1.1-9.fc17.x86_64
--> Processing Dependency: gdm >= 1:2.22.0 for package: pulseaudio-gdm-hooks-1.1-9.fc17.x86_64
--> Running transaction check
---> Package gnome-bluetooth.x86_64 1:3.4.2-1.fc17 will be erased
--> Processing Dependency: dbus-bluez-pin-helper for package: bluez-4.99-2.fc17.x86_64
--> Processing Dependency: libgnome-bluetooth-applet.so.0()(64bit) for package: gnome-shell-3.4.1-6.fc17.x86_64
---> Package orca.x86_64 0:3.4.2-1.fc17 will be erased
---> Package pulseaudio-gdm-hooks.x86_64 0:1.1-9.fc17 will be erased
--> Running transaction check
---> Package bluez.x86_64 0:4.99-2.fc17 will be erased
--> Processing Dependency: bluez >= 4.34 for package: pulseaudio-module-bluetooth-1.1-9.fc17.x86_64
---> Package gnome-shell.x86_64 0:3.4.1-6.fc17 will be erased
--> Processing Dependency: gnome-shell for package: ibus-gnome3-1.4.99.20121006-2.fc17.x86_64
--> Running transaction check
---> Package ibus-gnome3.x86_64 0:1.4.99.20121006-2.fc17 will be erased
---> Package pulseaudio-module-bluetooth.x86_64 0:1.1-9.fc17 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

=======================================================================================================================
 Package                                Arch             Version                           Repository             Size
=======================================================================================================================
Removing:
 preupgrade                             noarch           1.1.10-2.fc17                     @anaconda-0           772 k
Removing for dependencies:
 PackageKit                             x86_64           0.7.5-1.fc17                      @updates              2.8 M
 PackageKit-command-not-found           x86_64           0.7.5-1.fc17                      @updates               34 k
 PackageKit-device-rebind               x86_64           0.7.5-1.fc17                      @updates               15 k
 PackageKit-glib                        x86_64           0.7.5-1.fc17                      @updates              471 k
 PackageKit-gstreamer-plugin            x86_64           0.7.5-1.fc17                      @updates               14 k
 PackageKit-yum                         x86_64           0.7.5-1.fc17                      @updates              307 k
 PackageKit-yum-plugin                  x86_64           0.7.5-1.fc17                      @updates              2.5 k
 bluez                                  x86_64           4.99-2.fc17                       @updates              1.8 M
 control-center                         x86_64           1:3.4.2-4.fc17                    @updates               13 M
 gdm                                    x86_64           1:3.4.1-3.fc17                    @updates              6.2 M
 gnome-bluetooth                        x86_64           1:3.4.2-1.fc17                    @updates              258 k
 gnome-packagekit                       x86_64           3.4.2-1.fc17                      @updates               11 M
 gnome-settings-daemon                  x86_64           3.4.2-3.fc17                      @updates              5.3 M
 gnome-shell                            x86_64           3.4.1-6.fc17                      @updates              4.3 M
 ibus-gnome3                            x86_64           1.4.99.20121006-2.fc17            @updates              158 k
 orca                                   x86_64           3.4.2-1.fc17                      @updates               13 M
 pulseaudio-gdm-hooks                   x86_64           1.1-9.fc17                        @anaconda-0           354  
 pulseaudio-module-bluetooth            x86_64           1.1-9.fc17                        @anaconda-0           208 k

Transaction Summary
=======================================================================================================================
Remove  1 Package (+18 Dependent packages)

Installed size: 60 M
Is this ok [y/N]: n
Exiting on user Command
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2012-11-28.15-26.Ws2MWL.yumtx

Obviously I don't want to remove all those packages. 
I initially installed preupgrade in Fedora 16 to upgrade to 17.
Comment 1 Mihkel Vain 2012-11-29 05:59:23 EST
I upgraded to Fedora 18 today and when I try to remove preupgade now I get:

# yum remove preupgrade.noarch 
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package preupgrade.noarch 0:1.1.11-2.fc18 will be erased
--> Processing Dependency: preupgrade for package: PackageKit-0.8.6-1.fc18.x86_64
--> Running transaction check
---> Package PackageKit.x86_64 0:0.8.6-1.fc18 will be erased
--> Processing Dependency: PackageKit >= 0.5.0 for package: gnome-packagekit-3.6.1-1.fc18.x86_64
--> Processing Dependency: PackageKit(x86-64) = 0.8.6-1.fc18 for package: PackageKit-yum-plugin-0.8.6-1.fc18.x86_64
--> Processing Dependency: PackageKit(x86-64) = 0.8.6-1.fc18 for package: PackageKit-yum-0.8.6-1.fc18.x86_64
--> Running transaction check
---> Package PackageKit-yum.x86_64 0:0.8.6-1.fc18 will be erased
---> Package PackageKit-yum-plugin.x86_64 0:0.8.6-1.fc18 will be erased
---> Package gnome-packagekit.x86_64 0:3.6.1-1.fc18 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

=======================================================================================================================
 Package                            Arch                Version                    Repository                     Size
=======================================================================================================================
Removing:
 preupgrade                         noarch              1.1.11-2.fc18              @fedora                       854 k
Removing for dependencies:
 PackageKit                         x86_64              0.8.6-1.fc18               @updates-testing              2.8 M
 PackageKit-yum                     x86_64              0.8.6-1.fc18               @updates-testing              305 k
 PackageKit-yum-plugin              x86_64              0.8.6-1.fc18               @updates-testing              3.9 k
 gnome-packagekit                   x86_64              3.6.1-1.fc18               @fedora                        11 M

Transaction Summary
=======================================================================================================================
Remove  1 Package (+4 Dependent packages)

Installed size: 15 M
Is this ok [y/N]: n
Exiting on user Command
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2012-11-29.12-56.4tX0Ih.yumtx

Not so many dependencies, but still.
Comment 2 Fedora Update System 2013-04-04 07:04:22 EDT
PackageKit-0.8.7-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/PackageKit-0.8.7-4.fc19
Comment 3 Fedora Update System 2013-04-04 22:57:30 EDT
Package PackageKit-0.8.7-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing PackageKit-0.8.7-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4915/PackageKit-0.8.7-4.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-04-20 15:49:38 EDT
PackageKit-0.8.7-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.